Bug 22300 - Staff search results: Opt groups in 'sort' pull down are not well formatted
Summary: Staff search results: Opt groups in 'sort' pull down are not well formatted
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-10 00:10 UTC by Katrin Fischer
Modified: 2019-03-12 13:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22300: Staff search results: Opt groups in 'sort' pull down are not well formatted (1.34 KB, patch)
2019-02-11 15:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22300: Staff search results: Opt groups in 'sort' pull down are not well formatted (1.41 KB, patch)
2019-02-15 19:14 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 22300: Staff search results: Opt groups in 'sort' pull down are not well formatted (1.48 KB, patch)
2019-02-15 21:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-02-10 00:10:36 UTC
In older versions (17.11) the groups of the various sort options were bold, options indented and sections divided by thin lines. In master and 18.11 the display isn't as nice and harder to read.
Comment 1 Owen Leonard 2019-02-11 15:19:24 UTC Comment hidden (obsolete)
Comment 2 Pierre-Marc Thibault 2019-02-15 19:14:19 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-02-15 21:44:02 UTC
Created attachment 85203 [details] [review]
Bug 22300: Staff search results: Opt groups in 'sort' pull down are not well formatted

This patch adds some CSS to style the staff client search results sort
menu headings. Formerly these were <optgroup> tags with a default
browser style.

To test, apply the patch and regenerate the staff client CSS.

 - Perform a catalog search in the staff client.
 - On the search results page, test the "Sort" menu. Confirm that the
   menu headers more clearly indicate the sections.
 - Test the "Add to list" button menu too, where the same style will be
   in use.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-02-26 14:40:54 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-03-01 11:16:50 UTC
Enhancement, will not be backported to 18.11.x series
Comment 6 Katrin Fischer 2019-03-04 21:33:20 UTC
This could also be seen as a regression to previous versions (bug fix vs. enh) - see first comment.
Comment 7 Martin Renvoize 2019-03-05 14:37:39 UTC
Okies, I take your point.. pushed to 18.11.x for 18.11.04
Comment 8 Jesse Maseto 2019-03-08 19:41:07 UTC
Patch doesn't apply cleanly. Please rebase if needed for 18.05.x
Comment 9 Owen Leonard 2019-03-12 13:16:47 UTC
(In reply to Jesse Maseto from comment #8)
> Patch doesn't apply cleanly. Please rebase if needed for 18.05.x

It is not needed.